Bug 109300 - [PATCH] audio/libgpod - Update to version 0.4.2
Summary: [PATCH] audio/libgpod - Update to version 0.4.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Alexey Dokuchaev
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-02-19 00:20 UTC by Herbert J. Skuhra
Modified: 2007-03-18 20:38 UTC (History)
0 users

See Also:


Attachments
file.diff (2.78 KB, patch)
2007-02-19 00:20 UTC, Herbert J. Skuhra
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Herbert J. Skuhra 2007-02-19 00:20:04 UTC
This patch updates libgpod to version 0.4.2.
Amarok 1.4.5 requires >= libgpod 0.4.2 for iPod support.

The patch is also available from:

http://norway.ath.cx/freebsd/libgpod_0_4_2.diff

I have also prepared a patch for audio/amarok and audio/gtkpod.
They are available from:

http://norway.ath.cx/freebsd/amarok.diff
http://norway.ath.cx/freebsd/gtkpod.diff [1]

[1] The patches for src/file.c and src/file_itunesdb.c are from the gtkpod homepage to fix the build with libgpod >= 0.4.2.

Fix: Apply the below patch:
Comment 1 Edwin Groothuis freebsd_committer 2007-02-19 00:20:14 UTC
Responsible Changed
From-To: freebsd-ports-bugs->danfe

Over to maintainer
Comment 2 avanderhook 2007-03-16 14:29:07 UTC
Is anything being done with this?  The version of Amarok in ports is now at
a level where this is required to work with the iPod, and as such iPod
support is now broken.
Comment 3 Herbert J. Skuhra 2007-03-16 15:58:17 UTC
On Fri, 16 Mar 2007 10:29:07 -0400
"Adam VanderHook" <avanderhook@gmail.com> wrote:

> Is anything being done with this?  The version of Amarok in ports is now at
> a level where this is required to work with the iPod, and as such iPod
> support is now broken.

My Ipod Nano 8GB works fine with gtkpod/amarok with libgpod 0.4.2. I
have no idea why my patch hasn't been commited yet.

- Herbert
Comment 4 dfilter service freebsd_committer 2007-03-18 19:45:22 UTC
danfe       2007-03-18 19:45:18 UTC

  FreeBSD ports repository

  Modified files:
    audio/libgpod        Makefile distinfo pkg-descr pkg-plist 
  Log:
  Update to version 0.4.2.
  
  PR:             ports/109300
  Submitted by:   Herbert J. Skuhra
  
  Revision  Changes    Path
  1.11      +2 -2      ports/audio/libgpod/Makefile
  1.4       +3 -3      ports/audio/libgpod/distinfo
  1.2       +2 -2      ports/audio/libgpod/pkg-descr
  1.5       +5 -2      ports/audio/libgpod/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 Alexey Dokuchaev freebsd_committer 2007-03-18 20:37:45 UTC
State Changed
From-To: open->closed

Committed with modifications, thanks!